---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libnosuspendMonitorInfo.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50080, symBinAddr: 0xC2F0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51FC0, symBinAddr: 0xE230, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x523B0, symBinAddr: 0xE620, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53350, symBinAddr: 0xF5C0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53360, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0x6AA60, symBinAddr: 0x26CD0, symSize: 0x0 }
  - { offsetInCU: 0x8DA9, offset: 0x8DA9, size: 0x8, addend: 0x0, symName: _iGlobalStatus, symObjAddr: 0x6AA68, symBinAddr: 0x26CD8, symSize: 0x0 }
  - { offsetInCU: 0x8DBE, offset: 0x8DBE, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0x6E994, symBinAddr: 0x26CE4, symSize: 0x0 }
  - { offsetInCU: 0x8DD3, offset: 0x8DD3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FBC0, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x8DDE, offset: 0x8DDE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FBC4, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x8DE9, offset: 0x8DE9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FBC8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x8E2E, offset: 0x8E2E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FD20, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8EA7, offset: 0x8EA7, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FDD8, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8EC5, offset: 0x8EC5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FDDC, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8EDE, offset: 0x8EDE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FDE0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8EF7, offset: 0x8EF7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FDE4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8F10, offset: 0x8F10, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FDE8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8F29, offset: 0x8F29, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FDF0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8FB2, offset: 0x8FB2, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FE08, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8FCB, offset: 0x8FCB, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FE10, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FE4, offset: 0x8FE4, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FE18, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FFD, offset: 0x8FFD, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FE20, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9017, offset: 0x9017, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FE28, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90FD, offset: 0x90FD, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4FE70, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9116, offset: 0x9116, size: 0x8, addend: 0x0, symName: __ZL10jvmti_caps, symObjAddr: 0x4FFA8, symBinAddr: 0xC2D8, symSize: 0x0 }
  - { offsetInCU: 0x9168, offset: 0x9168, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4840, symSize: 0x80 }
  - { offsetInCU: 0x91FD, offset: 0x91FD, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4790, symSize: 0xB0 }
  - { offsetInCU: 0x9258, offset: 0x9258, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4690, symSize: 0x100 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x48C0, symSize: 0x220 }
  - { offsetInCU: 0x96D0, offset: 0x96D0, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4AE0, symSize: 0xA0 }
  - { offsetInCU: 0x9783, offset: 0x9783, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4B80, symSize: 0x110 }
  - { offsetInCU: 0x9879, offset: 0x9879, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4C90, symSize: 0x150 }
  - { offsetInCU: 0x99AA, offset: 0x99AA, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4DE0, symSize: 0x30 }
  - { offsetInCU: 0x9A6B, offset: 0x9A6B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4E10, symSize: 0x150 }
  - { offsetInCU: 0x9C63, offset: 0x9C63, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4F60, symSize: 0x160 }
  - { offsetInCU: 0x9DEF, offset: 0x9DEF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x50C0, symSize: 0x1B0 }
  - { offsetInCU: 0xA00A, offset: 0xA00A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x5270, symSize: 0xA0 }
  - { offsetInCU: 0xA0D9, offset: 0xA0D9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x5310, symSize: 0x20 }
  - { offsetInCU: 0xA110, offset: 0xA110, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5330, symSize: 0x20 }
  - { offsetInCU: 0xA147, offset: 0xA147, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5350, symSize: 0x20 }
  - { offsetInCU: 0xA2B6, offset: 0xA2B6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5370, symSize: 0x1A0 }
  - { offsetInCU: 0xA5DC, offset: 0xA5DC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5510, symSize: 0x80 }
  - { offsetInCU: 0xA6A5, offset: 0xA6A5, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5590, symSize: 0x6A0 }
  - { offsetInCU: 0xB23A, offset: 0xB23A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA000, symBinAddr: 0x66D0, symSize: 0xB0 }
  - { offsetInCU: 0xB2B1, offset: 0xB2B1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5C30, symSize: 0x70 }
  - { offsetInCU: 0xB36D, offset: 0xB36D, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5CA0, symSize: 0xA0 }
  - { offsetInCU: 0xB478, offset: 0xB478, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5D40, symSize: 0x40 }
  - { offsetInCU: 0xB56E, offset: 0xB56E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5D80, symSize: 0x2B0 }
  - { offsetInCU: 0xB914, offset: 0xB914, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x6030, symSize: 0xC0 }
  - { offsetInCU: 0xBA5A, offset: 0xBA5A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x60F0, symSize: 0x10 }
  - { offsetInCU: 0xBB1C, offset: 0xBB1C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x6100, symSize: 0x220 }
  - { offsetInCU: 0xBE19, offset: 0xBE19, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6320, symSize: 0x10 }
  - { offsetInCU: 0xBE76, offset: 0xBE76, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6330, symSize: 0x1B0 }
  - { offsetInCU: 0xC0DB, offset: 0xC0DB, size: 0x8, addend: 0x0, symName: _debug_printf, symObjAddr: 0x9DD0, symBinAddr: 0x64F0, symSize: 0xC0 }
  - { offsetInCU: 0xC10F, offset: 0xC10F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DC0, symBinAddr: 0x64E0, symSize: 0x10 }
  - { offsetInCU: 0xC16C, offset: 0xC16C, size: 0x8, addend: 0x0, symName: _vmInit, symObjAddr: 0x9E90, symBinAddr: 0x65B0, symSize: 0x20 }
  - { offsetInCU: 0xC1B0, offset: 0xC1B0, size: 0x8, addend: 0x0, symName: _vmExit, symObjAddr: 0x9EB0, symBinAddr: 0x65D0, symSize: 0x20 }
  - { offsetInCU: 0xC1E9, offset: 0xC1E9, size: 0x8, addend: 0x0, symName: _classFileLoadEvent, symObjAddr: 0x9ED0, symBinAddr: 0x65F0, symSize: 0x10 }
  - { offsetInCU: 0xC26D, offset: 0xC26D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendMonitorInfo_JvmtiTest_GetResult, symObjAddr: 0x9F30, symBinAddr: 0x6600, symSize: 0x10 }
  - { offsetInCU: 0xC305, offset: 0xC305, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendMonitorInfo_JvmtiTest_CheckMonitorInfo, symObjAddr: 0x9F40, symBinAddr: 0x6610, symSize: 0xC0 }
  - { offsetInCU: 0xC430, offset: 0xC430, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA0B0, symBinAddr: 0x6780, symSize: 0x36A }
...
